Index: XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/iinterpolate_axis_attr.F90	(revision 891)
@@ -12,9 +12,10 @@
 
   SUBROUTINE xios(set_interpolate_axis_attr)  &
-    ( interpolate_axis_id, order, type )
+    ( interpolate_axis_id, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis))  :: interpolate_axis_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
@@ -22,28 +23,34 @@
       CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(set_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(set_interpolate_axis_attr)
 
   SUBROUTINE xios(set_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, order, type )
+    ( interpolate_axis_hdl, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate
       INTEGER  , OPTIONAL, INTENT(IN) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type
 
       CALL xios(set_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(set_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, order_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: coordinate_
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: type_
+
+      IF (PRESENT(coordinate_)) THEN
+        CALL cxios_set_interpolate_axis_coordinate(interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
+      ENDIF
 
       IF (PRESENT(order_)) THEN
@@ -58,9 +65,10 @@
 
   SUBROUTINE xios(get_interpolate_axis_attr)  &
-    ( interpolate_axis_id, order, type )
+    ( interpolate_axis_id, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis))  :: interpolate_axis_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_axis_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
@@ -68,28 +76,34 @@
       CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(get_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(get_interpolate_axis_attr)
 
   SUBROUTINE xios(get_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, order, type )
+    ( interpolate_axis_hdl, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type
 
       CALL xios(get_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(get_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, order_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: coordinate_
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: type_
+
+      IF (PRESENT(coordinate_)) THEN
+        CALL cxios_get_interpolate_axis_coordinate(interpolate_axis_hdl%daddr, coordinate_, len(coordinate_))
+      ENDIF
 
       IF (PRESENT(order_)) THEN
@@ -104,9 +118,11 @@
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr)  &
-    ( interpolate_axis_id, order, type )
+    ( interpolate_axis_id, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis))  :: interpolate_axis_hdl
       CHARACTER(LEN=*), INTENT(IN) ::interpolate_axis_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate
+      LOGICAL(KIND=C_BOOL) :: coordinate_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -116,13 +132,15 @@
       CALL xios(get_interpolate_axis_handle)(interpolate_axis_id,interpolate_axis_hdl)
       CALL xios(is_defined_interpolate_axis_attr_hdl_)   &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(is_defined_interpolate_axis_attr)
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl)  &
-    ( interpolate_axis_hdl, order, type )
+    ( interpolate_axis_hdl, coordinate, order, type )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate
+      LOGICAL(KIND=C_BOOL) :: coordinate_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
@@ -131,17 +149,24 @@
 
       CALL xios(is_defined_interpolate_axis_attr_hdl_)  &
-      ( interpolate_axis_hdl, order, type )
+      ( interpolate_axis_hdl, coordinate, order, type )
 
   END SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_axis_attr_hdl_)   &
-    ( interpolate_axis_hdl, order_, type_ )
+    ( interpolate_axis_hdl, coordinate_, order_, type_ )
 
     IMPLICIT NONE
       TYPE(txios(interpolate_axis)) , INTENT(IN) :: interpolate_axis_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: coordinate_
+      LOGICAL(KIND=C_BOOL) :: coordinate__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: type_
       LOGICAL(KIND=C_BOOL) :: type__tmp
+
+      IF (PRESENT(coordinate_)) THEN
+        coordinate__tmp = cxios_is_defined_interpolate_axis_coordinate(interpolate_axis_hdl%daddr)
+        coordinate_ = coordinate__tmp
+      ENDIF
 
       IF (PRESENT(order_)) THEN
Index: XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/iinterpolate_domain_attr.F90	(revision 891)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -19,13 +19,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
       INTEGER  , OPTIONAL, INTENT(IN) :: order
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(set_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -33,12 +35,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file
       INTEGER  , OPTIONAL, INTENT(IN) :: order
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(set_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(set_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -46,4 +50,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: file_
       INTEGER  , OPTIONAL, INTENT(IN) :: order_
+      LOGICAL  , OPTIONAL, INTENT(IN) :: renormalize_
+      LOGICAL (KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -55,8 +61,13 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        renormalize__tmp = renormalize_
+        CALL cxios_set_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+      ENDIF
+
   END SUBROUTINE xios(set_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(get_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -65,13 +76,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(get_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -79,12 +92,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file
       INTEGER  , OPTIONAL, INTENT(OUT) :: order
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL (KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(get_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -92,4 +107,6 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: file_
       INTEGER  , OPTIONAL, INTENT(OUT) :: order_
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: renormalize_
+      LOGICAL (KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -101,8 +118,13 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        CALL cxios_get_interpolate_domain_renormalize(interpolate_domain_hdl%daddr, renormalize__tmp)
+        renormalize_ = renormalize__tmp
+      ENDIF
+
   END SUBROUTINE xios(get_interpolate_domain_attr_hdl_)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr)  &
-    ( interpolate_domain_id, file, order )
+    ( interpolate_domain_id, file, order, renormalize )
 
     IMPLICIT NONE
@@ -113,13 +135,15 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL(KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(get_interpolate_domain_handle)(interpolate_domain_id,interpolate_domain_hdl)
       CALL xios(is_defined_interpolate_domain_attr_hdl_)   &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)  &
-    ( interpolate_domain_hdl, file, order )
+    ( interpolate_domain_hdl, file, order, renormalize )
 
     IMPLICIT NONE
@@ -129,12 +153,14 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order
       LOGICAL(KIND=C_BOOL) :: order_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize
+      LOGICAL(KIND=C_BOOL) :: renormalize_tmp
 
       CALL xios(is_defined_interpolate_domain_attr_hdl_)  &
-      ( interpolate_domain_hdl, file, order )
+      ( interpolate_domain_hdl, file, order, renormalize )
 
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl)
 
   SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)   &
-    ( interpolate_domain_hdl, file_, order_ )
+    ( interpolate_domain_hdl, file_, order_, renormalize_ )
 
     IMPLICIT NONE
@@ -144,4 +170,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: order_
       LOGICAL(KIND=C_BOOL) :: order__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: renormalize_
+      LOGICAL(KIND=C_BOOL) :: renormalize__tmp
 
       IF (PRESENT(file_)) THEN
@@ -155,4 +183,9 @@
       ENDIF
 
+      IF (PRESENT(renormalize_)) THEN
+        renormalize__tmp = cxios_is_defined_interpolate_domain_renormalize(interpolate_domain_hdl%daddr)
+        renormalize_ = renormalize__tmp
+      ENDIF
+
   END SUBROUTINE xios(is_defined_interpolate_domain_attr_hdl_)
 
Index: XIOS/trunk/src/interface/fortran_attr/interpolate_axis_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/interpolate_axis_interface_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/interpolate_axis_interface_attr.F90	(revision 891)
@@ -9,4 +9,25 @@
   INTERFACE
     ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_interpolate_axis_coordinate(interpolate_axis_hdl, coordinate, coordinate_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_size
+    END SUBROUTINE cxios_set_interpolate_axis_coordinate
+
+    SUBROUTINE cxios_get_interpolate_axis_coordinate(interpolate_axis_hdl, coordinate, coordinate_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_size
+    END SUBROUTINE cxios_get_interpolate_axis_coordinate
+
+    FUNCTION cxios_is_defined_interpolate_axis_coordinate(interpolate_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_axis_coordinate
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+    END FUNCTION cxios_is_defined_interpolate_axis_coordinate
+
 
     SUBROUTINE cxios_set_interpolate_axis_order(interpolate_axis_hdl, order) BIND(C)
Index: XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 886)
+++ XIOS/trunk/src/interface/fortran_attr/interpolate_domain_interface_attr.F90	(revision 891)
@@ -49,4 +49,23 @@
     END FUNCTION cxios_is_defined_interpolate_domain_order
 
+
+    SUBROUTINE cxios_set_interpolate_domain_renormalize(interpolate_domain_hdl, renormalize) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: renormalize
+    END SUBROUTINE cxios_set_interpolate_domain_renormalize
+
+    SUBROUTINE cxios_get_interpolate_domain_renormalize(interpolate_domain_hdl, renormalize) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+      LOGICAL (KIND=C_BOOL)             :: renormalize
+    END SUBROUTINE cxios_get_interpolate_domain_renormalize
+
+    FUNCTION cxios_is_defined_interpolate_domain_renormalize(interpolate_domain_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_domain_renormalize
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_domain_hdl
+    END FUNCTION cxios_is_defined_interpolate_domain_renormalize
+
   END INTERFACE
 
Index: XIOS/trunk/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 891)
+++ XIOS/trunk/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 891)
@@ -0,0 +1,134 @@
+! * ************************************************************************** *
+! *               Interface auto generated - do not modify                     *
+! * ************************************************************************** *
+#include "xios_fortran_prefix.hpp"
+
+MODULE ireduce_axis_to_scalar_attr
+  USE, INTRINSIC :: ISO_C_BINDING
+  USE ireduce_axis_to_scalar
+  USE reduce_axis_to_scalar_interface_attr
+
+CONTAINS
+
+  SUBROUTINE xios(set_reduce_axis_to_scalar_attr)  &
+    ( reduce_axis_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(get_reduce_axis_to_scalar_handle)(reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
+      CALL xios(set_reduce_axis_to_scalar_attr_hdl_)   &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_axis_to_scalar_attr)
+
+  SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)  &
+    ( reduce_axis_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
+
+      CALL xios(set_reduce_axis_to_scalar_attr_hdl_)  &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl_)   &
+    ( reduce_axis_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_set_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(get_reduce_axis_to_scalar_attr)  &
+    ( reduce_axis_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_axis_to_scalar_handle)(reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
+      CALL xios(get_reduce_axis_to_scalar_attr_hdl_)   &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_axis_to_scalar_attr)
+
+  SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)  &
+    ( reduce_axis_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
+
+      CALL xios(get_reduce_axis_to_scalar_attr_hdl_)  &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl_)   &
+    ( reduce_axis_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(operation_)) THEN
+        CALL cxios_get_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl%daddr, operation_, len(operation_))
+      ENDIF
+
+  END SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl_)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)  &
+    ( reduce_axis_to_scalar_id, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
+      CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(get_reduce_axis_to_scalar_handle)(reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
+      CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)  &
+    ( reduce_axis_to_scalar_hdl, operation )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation
+      LOGICAL(KIND=C_BOOL) :: operation_tmp
+
+      CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)  &
+      ( reduce_axis_to_scalar_hdl, operation )
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)
+
+  SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
+    ( reduce_axis_to_scalar_hdl, operation_ )
+
+    IMPLICIT NONE
+      TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
+      LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(operation_)) THEN
+        operation__tmp = cxios_is_defined_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl%daddr)
+        operation_ = operation__tmp
+      ENDIF
+
+  END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl_)
+
+END MODULE ireduce_axis_to_scalar_attr
